@echo off

call validate_iffxiso.bat

if not exist extracted  mkdir extracted

if not exist extracted\0218.FTCX   fcopy.exe -e "%iffxiso%"  extracted\0218.FTCX     0x027F89000  0x00003710

if not exist extracted\0228.dlg    fcopy.exe -e "%iffxiso%"  extracted\0228.dlg      0x027FBE000  0x00002180

if not exist extracted\0219.pd2    fcopy.exe -e "%iffxiso%"  extracted\0219.pd2      0x027F8C800  0x00004BD0
if not exist extdec\0219.0??       shsplit.exe  4  -s  -f  -hmax 0x40  -min 0x40 -cbl 1  extracted\0219.pd2     extdec\0219
if not exist extdec\0219.0??.dlg2  rename extdec\0219.0??  0219.0??.dlg2

